import request from '@/utils/request'
//后台获取外协单来源厂列表
export function getInfo(data) {
  return request({
    url: '/outassistDoc/queryOriginFactories',
    method: 'post',
    params: data
  })
}

//获取外协单来源厂信息
export function getInfoById(data) {
  return request({
    url: '/outassistDoc/getOriginFactory',
    method: 'post',
    params: data
  })
}

//增加外协单来源厂信息
export function addInfo(data) {
  return request({
    url: '/outassistDoc/newOriginFactory',
    method: 'post',
    params: data
  })
}


//修改外协单来源厂信息
export function updateInfo(data) {
  return request({
    url: '/outassistDoc/updateOriginFactory',
    method: 'post',
    params: data
  })
}
//修改外协单来源厂信息
export function updateCupPlateTemplate(data) {
  return request({
    url: '/outassistDoc/voidCraftInfo',
    method: 'post',
    params: data
  })
}

//禁用外协单来源厂信息
export function voidOriginFactory(data) {
  return request({
    url: '/outassistDoc/voidOriginFactory',
    method: 'post',
    params: data
  })
}

//获取来源厂后工工序列表
export function queryRemoteWorkProcessList(data) {
  return request({
    url: '/outassistBusiness/queryRemoteWorkProcessList',
    method: 'post',
    params: data
  })
}
//获取本厂后工工序列表
export function getCraftInfoList(data) {
  return request({
    url: '/outassistDoc/getCraftInfoList',
    method: 'post',
    params: data
  })
}

//配置来源厂与本地工艺对照表
export function configCorrespondInfo(data) {
  return request({
    url: '/outassistDoc/configCorrespondInfo',
    method: 'post',
    params: data
  })
}
//获取外协来源厂的下拉列表
export function getERPSupplierList(data) {
  return request({
    url: '/erpInvoke/getERPSupplierList',
    method: 'post',
    params: data
  })
}

//用来获取已经对照过的工序列表,用来初始化页面
export function getOriginFactory(data) {
  return request({
    url: '/outassistDoc/getOriginFactory',
    method: 'post',
    params: data
  })
}




